
open Automaton_bundle

module type BisimulationSig =
sig
  type bundletype
  type resulttype
  val bisimilar: bundletype -> bundletype -> resulttype option
end

module Bisimulation =
  functor (Bundle : BundleSig) ->
struct
  type bundletype = Bundle.t
  type resulttype = bool
  let bisimilar bundle1 bundle2 = if (Bundle.compare bundle1 bundle2 == 0) then Some(true) else None
end

