
type command =
  | Define of string * string list option * pi_term
  | Build of string
  | BuildHD of string
  | Const of string

and pi_term =
  | Nil
  | BoundInput of string * string * pi_term
  | FreeOutput of string * string * pi_term
  | Tau of pi_term
  | Par of pi_term * pi_term
  | ParList of pi_term list
  | Sum of pi_term * pi_term
  | SumList of pi_term list
  | Restr of string * pi_term
  | Match of string * string * pi_term
  | Proc of string * string list option


