
open Ast
open Utils
    
(* HD automaton *)
open Hd_state
open Hd_arrow
open Hd_bundle
open Hd_automaton

module HDState = State
module HDArrow = Arrow (HDState)
module HDBundle = Bundle (HDState) (HDArrow)
module HDAutomaton = Automaton (HDState) (HDArrow) (HDBundle)

module HDStateSet = Set.Make( HDState )
module HDArrowSet = Set.Make( HDArrow )

(* defined in table 5.1 page 43 *)
let freeNamesOf term = []
let boundNamesof term = []
let namesOf term = []

let stateForTerm p =
  ""

(*
let arrowsFor = function
  | Nil -> []
  | BoundInput( x, y, term ) -> []
  | FreeOutput( x, y, term ) -> []
  | Tau( term ) -> []
  | Par( term1, term2 ) -> []
  | ParList( terms ) -> []
  | Sum( term1, term2 ) -> []
  | SumList( terms ) -> []
  | Restr( x, term ) -> []
  | Match( x, y, term ) -> []
  | Proc( id, args ) -> []
    
*)
