type token =
  | INT of (int)
  | ID of (string)
  | EOL
  | ARROW
  | COMMA
  | SEMICOLON
  | LPAREN
  | RPAREN
  | LBRACKET
  | RBRACKET
  | LBRACE
  | RBRACE
  | STATE
  | START
  | STAR
  | EQ
  | DOT
  | EOF
  | TAU
  | BIN
  | BOUT
  | IN
  | OUT
  | IDENTITY
  | EXCHANGE

val main :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Ast.decl
