(* ast.mli - (C) 2002 by Roberto Raggi, Emilio Tuosto *)

(* ast module *)

type decl =
  | DeclAutoma of decl * decl * decl
  | DeclStart of string 
  | DeclState of string
  | DeclArrow of string * string * string
  | DeclStateList of decl list
  | DeclArrowList of decl list
(* the abstract syntax tree *)

